Comment faire pour installer Memcache dans CentOS

Comment faire pour installer Memcache dans CentOS


CentOS est une distribution Linux largement utilisés pour les serveurs Web, car il est une distribution libre basée sur RedHat Enterprise Linux. Les gens qui choisissent d'utiliser CentOS comme un serveur Web ont tendance à avoir besoin de mettre en cache les informations du serveur. Il est un outil qui peut être installé sur CentOS pour aider à la mise en cache: Memcached, qui est parfois arbitré comme Memcache.

Instructions

Installation Memcache sur CentOS

1 Assurez-vous que vous utilisez une version récente de CentOS en entrant "cat / etc / redhat-release." En Juin 2011, la version la plus récente de CentOS est la version 5.6.

2 Télécharger et installer votre système et Memcache à installer sur votre serveur en entrant les commandes suivantes:

"Cd / user / local / src"

"Curl -O http://memcached.googlecode.com/files/memcached-1.4.5.tar.gz"

"Memcached-1.4.5.tar.gz xzvf tar"

"Cd memcached-1.4.5"

"LDFLAGS = '- W1, --rpath / usr / local / lib' ./configure --prefix = / usr / local"

Ces commandes déplacent le répertoire src sur votre système, téléchargez Memcache et définir les indicateurs qui sont nécessaires pour faire fonctionner Memcache correctement sur votre système.

3 Exécutez simple make install pour terminer l'installation Memcache; le code pour cela est "make && make install." S'il vous plaît noter que vous aurez besoin des privilèges root pour exécuter cette commande avec succès; cela se fait dans CentOS en utilisant la commande "su" et en entrant votre mot de passe root. Assurez-vous que lorsque le processus est terminé, vous "su" récupérer votre utilisateur régulier.

4 Vérifiez que Memcache est correctement installé sur votre système en utilisant la commande suivante: "ps auz | grep memcached." S'il n'y a pas d'erreurs imprimées dans votre terminal, puis tout va bien avec votre installation. Vous pouvez arrêter Memcache avec "memcached pkill."

Conseils et avertissements

  • Ne pas exécuter le logiciel sur-of-date en raison d'un certain nombre de failles de sécurité qui ont été patché dans le système d'exploitation. Toutefois, si vous avez choisi de ne pas mettre à jour à la version la plus récente de CentOS, ces instructions ont été testées sur CentOS 5.0 et plus.